Page MenuHomePhabricator

Cannot read property filter of undefined
Closed, ResolvedPublic

Description

RESTBase receives this error for the media end point from PCS around 150 times per hour. It seems to have started on 2019-10-09. Some sample URIs that produce the error:

  • de.wikipedia.org/v1/page/media/Polynomialzeit
  • en.wikipedia.org/v1/page/media/Hooke's_atom
  • ru.wikipedia.org/v1/page/media/%D0%9A%D0%BE%D0%BD%D1%81%D1%82%D0%B0%D0%BD%D1%82%D0%B0_%D0%B4%D0%B8%D1%81%D1%81%D0%BE%D1%86%D0%B8%D0%B0%D1%86%D0%B8%D0%B8

Details

Related Gerrit Patches:

Event Timeline

mobrovac created this task.Oct 14 2019, 7:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2019, 7:58 AM

Change 543154 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Media: Fix TypeError when processing pages with only Mathoid images

https://gerrit.wikimedia.org/r/543154

Change 543154 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Media: Fix TypeError when processing pages with only Mathoid images

https://gerrit.wikimedia.org/r/543154

Mentioned in SAL (#wikimedia-operations) [2019-10-15T21:18:27Z] <mholloway-shell@deploy1001> Started deploy [mobileapps/deploy@cdfa545]: Media: Fix TypeError when processing pages with only Mathoid images (T235408)

Mholloway closed this task as Resolved.Oct 15 2019, 9:18 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-15T21:24:03Z] <mholloway-shell@deploy1001> Finished deploy [mobileapps/deploy@cdfa545]: Media: Fix TypeError when processing pages with only Mathoid images (T235408) (duration: 05m 35s)